POST api/upi/generate-qr
Request Information
URI Parameters
None.
Body Parameters
GenerateQrRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| amount | decimal number |
None. |
|
| merchantTranId | string |
None. |
|
| billNumber | string |
None. |
|
| merchantId | string |
None. |
|
| terminalId | string |
None. |
|
| validatePayerAccFlag | string |
None. |
|
| payerAccount | string |
None. |
|
| payerIFSC | string |
None. |
|
| validityStartDateTime | string |
None. |
|
| validityEndDateTime | string |
None. |
|
| update | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"amount": 1.0,
"merchantTranId": "sample string 2",
"billNumber": "sample string 3",
"merchantId": "sample string 4",
"terminalId": "sample string 5",
"validatePayerAccFlag": "sample string 6",
"payerAccount": "sample string 7",
"payerIFSC": "sample string 8",
"validityStartDateTime": "sample string 9",
"validityEndDateTime": "sample string 10",
"update": "sample string 11"
}
text/html
Sample:
{"amount":1.0,"merchantTranId":"sample string 2","billNumber":"sample string 3","merchantId":"sample string 4","terminalId":"sample string 5","validatePayerAccFlag":"sample string 6","payerAccount":"sample string 7","payerIFSC":"sample string 8","validityStartDateTime":"sample string 9","validityEndDateTime":"sample string 10","update":"sample string 11"}
application/xml, text/xml
Sample:
<GenerateQrRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Helper"> <amount>1</amount> <billNumber>sample string 3</billNumber> <merchantId>sample string 4</merchantId> <merchantTranId>sample string 2</merchantTranId> <payerAccount>sample string 7</payerAccount> <payerIFSC>sample string 8</payerIFSC> <terminalId>sample string 5</terminalId> <update>sample string 11</update> <validatePayerAccFlag>sample string 6</validatePayerAccFlag> <validityEndDateTime>sample string 10</validityEndDateTime> <validityStartDateTime>sample string 9</validityStartDateTime> </GenerateQrRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
text/comma-separated-values
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/html, application/xml, text/xml, text/comma-separated-values
Sample:
Sample not available.